# Capture

Used to close out an existing authorization request. If the invoice number  already exists, the amount requested will be compared to the approved amount  on file, and Shift4 will request approval for the additional amount only. If approved, the authorization will be converted to a sale transaction  and be ready to be batched.

For Restaurant industry, review Restaurant Authorization and Settlement Flow

Integration Methods:
- Host Direct
- Locally Installed UTG
- Commerce Engine For On Premise
- Commerce Engine For Cloud

See the Integration Methods and URLs Section sections of the Development Quick Start guide for details regarding each processing option.

Please note that if you are tokenzing your credit card information outside of  Shift4, authorizing and capturing a payment is not available unless you store  the tokenized value from Shift4 from an authorized payment request and use this  token in the subsequent capture request.

Endpoint: POST /transactions/capture
Version: 1.7.53
Security: AccessToken

## Header parameters:

  - `InterfaceVersion` (string, required)
    Refers to the version of the program or application that is sending requests to Shift4. The following special characters are not allowed&colon;  $ % &colon; ^ - ~  , ? “ ” ‘ ’ { } [ ] \ + =
    Example: "2.1"

  - `InterfaceName` (string, required)
    Refers to the name of the program or application that is sending requests to Shift4. This should be the name of the program that you purchased or created. The following special characters are not allowed&colon;  $ % &colon; ^ - ~ `  , ? “ ” ‘ ’ { } [ ] \ + =
    Example: "ForwardPOS"

  - `CompanyName` (string, required)
    Refers to the vendor or partner that designed and certified the interface. The information you use in this field should match what Shift4 has on file or what was agreed upon in your Integration Plan. The following special characters are not allowed&colon;  $ % &colon; ^ - ~ `  , ? “ ” ‘ ’ { } [ ] \ + =
    Example: "PAWS"

  - `AccessToken` (string, required)
    A security credential used to authenticate API requests and all i4Go® authorizeClient/preauthorizeClient requests. An Access Token is the alias for the merchant account and interface being used. The Access Token is required in all requests except an Access Token Exchange request, which generates an Access Token using an authToken and clientGuid.
    Example: "EA79FB05-3AA7-4500-AF9A-73F986FF2C1D"

## Request fields (application/json):

  - `body` (object, required) — one of:
    - GTV Token:
      - `dateTime` (string, required)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
        Example: "2021-04-15T09:18:23.283-07:00"
      - `amount` (object, required)
        Object containing information regarding the amount being requested. The total field within the object is required and specifies the amount being requested. All other fields are for informational purposes and must also be included in the total field. For example, a purchase of $100 with a $20 tip and $8 tax would be 128.00 in the total field, 20.00 in the tip field and 8.00 in the tax field.
        Example: {"tip":20,"total":160}
      - `amount.total` (number, required)
        The amount being charged for a particular transaction. If other amount fields are sent, they must be included in the total amount. Amount cannot be zero.
        Example: 160
      - `amount.cashback` (number)
        Specifies the cashback amount in a transaction. When using a UTG-controlled PIN pad with the ALLOWCASHBACK API Option, this field will return the cashback amount requested by the consumer. The interface can also send the desired cashback amount in a request by adding it to the amount.total and including it in the amount.cashback field. This will bypass prompting the consumer for a cashback amount.
      - `amount.iiasAmounts` (array)
        Conditional: Send in the request if processing for a health care merchant.

For Vision related charges you must send only iiasAmounts.type = 4V and the corresponding iiasAmounts.amount value.

For all other charges, the first entry in the array should have an amount representing the total of all healthcare costs, and iiasAmounts.type = 4S.  Any subsequent entries should contain the subtotal for each of the other expense types involved in this transaction.
      - `amount.iiasAmounts.amount` (number)
        The subtotal for this type of healthcare expenses.
      - `amount.iiasAmounts.type` (string)
        This code classifies eligible healthcare expenses.

Value|Description
-----|-----------
4O   | Cash Disbursement (Discover Only) – Amount of Cash Back Being Requested
4S   | Healthcare (Visa/MC Only) – Qualified Medical Expenses or Over-the-Counter
4T   | Transit (Visa Only) – Transit Fare Media (e.g., Commuter and Parking Passes, Mass Transit Vouchers, and Tickets)
4U   | RX (Visa/MC Only)
4V   | Vision (Visa Only)
4W   | Clinical (Visa Only)
4X   | Dental (Visa Only)
        Enum: "4O", "4S", "4T", "4U", "4V", "4W", "4X"
      - `amount.surcharge` (number)
        Conditional: Send in the request if a surcharge was applied to the transaction.

In a sale or authorization transaction, the surcharge field specifies a fee amount that a consumer is charged in addition to the transaction amount. The fee amount is also added into amount.total. For example, if the transaction request had amount.total = 100 and the surcharge.percentage was 1.5% the transaction would include amount.total = 101.50 and amount.surcharge = 1.50
      - `amount.tax` (number)
        The amount of sales tax charged for a transaction. The tax amount is used by businesses to track tax expenses for accounting purposes. Identifying the tax amount also helps consumers understand the total amount that they were billed.  This field is part of Level 2 card data.
      - `amount.taxIndicator` (string)
        Value|Description
-----|-----------
Y    | Tax is included
N    | Tax is not included
        Enum: "Y", "N"
      - `amount.tip` (number)
        Conditional: Send in the request if a tip is included.

The tip amount of the transaction.
        Example: 20
      - `amount.checkTotal` (number)
        Optional field specifying the total amount of the entire bill/invoice that this transaction is part of. It can be larger than amount.total in scenarios where the check is being split or if a portion of the check was already paid in cash or another form of payment.
      - `card` (object, required)
        Example: {"token":{"value":"8048471746471119"}}
      - `card.token` (object, required)
        Example: {"value":"8048471746471119"}
      - `card.token.value` (string, required)
        This field is used to specify a card token. Whenever CHD is sent in a request, a card token will be returned in this field. Your interface should be designed to store this card token for future use. The latest card token received should be used in any subsequent request that references the same card data.
        Example: "8048471746471119"
      - `clerk` (object, required)
        Example: {"numericId":1576}
      - `clerk.numericId` (integer, required)
        A number used to identify the point-of-sale (POS) or property management system (PMS) clerk or user. The value cannot be 0. An interface must be able to dynamically populate this field (not use a hardcoded value), unless the interface will be used exclusively for e-commerce.
        Example: 1576
      - `transaction` (object, required)
        Example: {"hotel":{"additionalCharges":{"giftShop":"Y","laundry":"N","miniBar":"Y","other":"Y","restaurant":"Y","telephone":"N"},"arrivalDateTime":"2021-04-12T15:39:01.594-07:00","departureDateTime":"2021-04-15T09:18:23.283-07:00","primaryChargeType":1,"roomRates":[{"nights":2,"rate":159.95},{"nights":3,"rate":125.38}],"specialCode":1},"invoice":"192029","notes":"Transaction notes are added here"}
      - `transaction.invoice` (string, required)
        10-digit invoice number assigned by the interface to identify a transaction. An invoice number serves as a unique key that identifies a transaction within a batch in Shift4's Gateway.

Note: For US and Canadian processing: Although the invoice number is sent as a JSON string it is a numeric value. No alpha characters are allowed.

For processing outside of the US and Canada alpha characters are allowed.
        Example: "192029"
      - `transaction.notes` (string)
        A free-form notes field that supports the use of HTML tags.  This can be used for reference in [Lighthouse Transaction Manager](https://ltm.shift4test.com/) and is not sent to the authorization host. Escaped quotation marks should not be sent in the Notes field.
        Example: "Transaction notes are added here"
      - `transaction.businessDate` (string)
        Desired business date of a transaction. Include when overriding the existing business date of a transaction. The overriding date may be earlier or later than the existing date. (yyyy-mm-dd)
      - `transaction.amex` (object)
      - `transaction.amex.propertyCode` (string)
        The code that contains a Merchant-assigned store or location number (or name) that uniquely identifies where the transaction took place.
      - `transaction.auto` (object)
        Conditional: Utilize this object for Auto Rental transactions
      - `transaction.auto.distanceDriven` (integer)
        The amount of distance the cardholder drove the vehicle.
      - `transaction.auto.distanceUnit` (string)
        The unit of measure that corresponds to the distanceDriven field.

Value|Description
-----|-----------
M    | Miles
K    | Kilometers
        Enum: "M", "K"
      - `transaction.auto.lateAdjustment` (number)
        A dollar amount for late adjustment fees for an auto rental, including refueling charges, a surcharge, or charges for damage incurred during use.
      - `transaction.auto.noShowIndicator` (string)
        Indicates whether or not the cardholder picked up a reserved rental car.

Value|Description
-----|-----------
Y    | customer did not pick up the rental car
N    | customer did pick up the rental car
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges` (object)
        The codes used to provide a reason for additional charges in an auto rental sale. Multiple codes can be specified for the same transaction.
      - `transaction.auto.additionalCharges.gasoline` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.lateReturn` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.mileage` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.oneWayServiceFee` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.violationFee` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.driver` (object)
      - `transaction.auto.driver.license` (string)
        The cardholder's driver's license number.
      - `transaction.auto.driver.name` (string)
        In a sale/authorization request for an auto rental, the customer’s name exactly as it appears on their driver’s license.
      - `transaction.auto.driver.taxNumber` (string)
        This field contains the driver’s Tax Identification Number.
      - `transaction.auto.rental` (object)
        Information relating to where the rental card was picked up.
      - `transaction.auto.rental.agreement` (string)
        Contract number for an auto rental agreement.
      - `transaction.auto.rental.city` (string)
        City where rental car was picked up.
      - `transaction.auto.rental.countryCode` (string)
        Country where rental card was picked up.
      - `transaction.auto.rental.dateTime` (string)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
      - `transaction.auto.rental.postalCode` (string)
        Postal Code where rental car was picked up in U.S. postal abbreviation format.
      - `transaction.auto.rental.region` (string)
        Region (State) where rental car was picked up in U.S. postal abbreviation format.
      - `transaction.auto.return` (object)
        Information relating to where the rental car was returned
      - `transaction.auto.return.city` (string)
        City where rental car was returned.
      - `transaction.auto.return.countryCode` (string)
        Country where rental card was returned.
      - `transaction.auto.return.dateTime` (string)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
      - `transaction.auto.return.postalCode` (string)
        Postal Code where rental car was returned in U.S. postal abbreviation format.
      - `transaction.auto.return.region` (string)
        Region (State) where rental car was returned in U.S. postal abbreviation format.
      - `transaction.airline` (object)
        Conditional: Utilize this object for Airline transactions in Authorization/Sale requests when possible. If unable to provide this data at Authorization, this object must be sent in subsequent Capture requests for the transaction.
      - `transaction.airline.carrierCode` (string, required)
        The code of the airline carrier issuing the ticket.
      - `transaction.airline.carrierName` (string, required)
        The name of the airline carrier issuing the ticket.
      - `transaction.airline.conjunctionTicketIndicator` (string, required)
        Indicates whether the itinerary contains more than four segments of travel.

Value  | Description       
-------|-------------------
Y      | Yes
N      | No
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.airline.documentType` (string, required)
        This field contains the airline Document Type code, which indicates the purpose of this transaction. This information may appear on the descriptive bill on the Cardmember's statement, or be used to resolve billing inquiries and disputes. The codes entered in the Transaction Type and Document Type fields are used together to describe the purpose of this transaction.

Value | Description 
------|---------------
01    | Passenger Ticket
02    | Additional Collection
03    | Excess Baggage
04    | Misc. Charge Order (MCO) / Prepaid Ticket Auth
05    | Special Service Ticket
06    | Supported Refund
07    | Unsupported Refund
08    | Lost Ticket Application
09    | Tour Order Voucher
10    | Ticket by Mail
11    | Undercharge Adjustment
12    | Group Ticket
13    | Exchange Adjustment
14    | SPD/Air Freight
15    | In-flight Adjustment
16    | Agency Passenger Ticket
17    | Agency Tour Order/Voucher
18    | Agency Misc. Charge Order (MCO)
19    | Agency Exchange Order
20    | Agency Group Ticket
21    | Debit Adjustment Duplicate Refund/Use
22    | In-flight Merchandise Ordered
23    | Catalogue Merchandise Ordered
24    | In-flight Phone Charges
25    | Frequent Flyer Fee/Purchase
26    | Kennel Charge
27    | Animal Transportation Charge
28    | Firearms Case
29    | Upgrade Charge
30    | Credit Unused Transportation
31    | Credit Class of Service Adjustment
32    | Credit Denied Boarding
33    | Credit Misc. Refund
34    | Credit Lost Ticket Refund
35    | Credit Exchange Refund
36    | Credit Overcharge Adjustment
37    | Credit Multiple Unused Tickets
38    | Exchange Order
39    | Self-Service Ticket(s)
41    | In-flight Duty Free Purchase
42    | Senior Citizen Discount Booklets
43    | Club Membership Fee
44    | Coupon Book
45    | In-flight Charges
46    | Tour Deposit
47    | Frequent Flyer Overnight Delivery Charge
48    | Frequent Flyer Fulfillment
49    | Small Package Delivery
50    | Vendor Sale
51    | Miscellaneous Tax(es) Fee(s)
52    | Travel Agency Fee
60    | Vendor Refund Credit
64    | Duty Free Sale
65    | Preferred Seat Upgrade
66    | Cabin Upgrade
67    | Lounge/Club Access or Day Pass
68    | Agent Assisted Reservation. Ticketing Fee
69    | Ticket Change or Cancel Fee
70    | Trip Insurance
71    | Unaccompanied Minor
72    | Standby Fee
73    | Curbside Baggage
74    | Inflight Medical Equipment
75    | Ticket or Pass Print Fee
76    | Checked Sporting/Special Equipment
77    | Dry Ice Fee
78    | Mail/Postage Fee
79    | Club Membership Fee - Temporary/Trial
80    | Frequent Flyer Activation/Reinstatement
81    | Gift Certificate
82    | Onboard/Inflight Prepaid Voucher
83    | Optional Services Fee
84    | Advanced Purchase - Excess Baggage
85    | Advanced Purchase - Preferred Seat Upgrade
86    | Advanced Purchase - Cabin Upgrade
87    | Advanced Purchase - Optional Services
88    | WiFi
89    | Packages
90    | Inflight Entertainment/Internet Access
91    | Overweight Bag Fee
92    | Sleep Sets
93    | Special Purchase Fee
        Enum: "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "60", "64", "65", "66", "67", "68", "69", "70", "71", "72", "73", "74", "75", "76", "77", "78", "79", "80", "81", "82", "83", "84", "85", "86", "87", "88", "89", "90", "91", "92", "93"
      - `transaction.airline.electronicTicketIndicator` (string, required)
        Indicates if an electronic ticket was issued.

Value  | Description       
-------|-------------------
Y      | Yes
N      | No
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.airline.internetIndicator` (string, required)
        Indicates if this is an internet transaction.

Value  | Description       
-------|-------------------
Y      | Yes
N      | No
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.airline.issueDate` (string, required)
        The date the ticket was issued to the customer. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.numberOfCities` (number, required)
        The number of airports or cities for each leg on the ticket (including origination and destination cities).
      - `transaction.airline.numberOfCarriers` (number, required)
        This field contains the number of airline carriers.
      - `transaction.airline.numberOfPassengers` (number, required)
        The number of passengers in the transaction.
      - `transaction.airline.passengerArrivalDate` (string, required)
        Date that the ticket holder is scheduled to arrive at their destination at the time of issuance of the original ticket. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.passengerDepartureDate` (string, required)
        Date that the ticket holder is scheduled to depart at the time of issuance of the original ticket. The date may be a future one.  The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.passengerNameRecord` (string, required)
        A passenger name record (PNR) is a record in the database of a computer reservation system (CRS) that contains the itinerary for a passenger or a group of passengers travelling together
      - `transaction.airline.restrictedTicketIndicator` (string, required)
        Indicates whether this ticket is non-refundable.

Value  | Description       
-------|-------------------
0      | No restriction
1      | Restricted (non-refundable) ticket
        Enum: "0", "1"
      - `transaction.airline.ticketChangeIndicator` (string, required)
        Indicates why a ticket was changed.  This field should contain spaces or one of the below codes.

Value  | Description 
-------|---------------
C      | Change to existing ticket
N      | New ticket
        Enum: "C", "N"
      - `transaction.airline.ticketTranType` (string, required)
        This field contains the ticket transaction type code assigned to this transaction.

Value  | Description 
-------|---------------
TKT    | Ticket Purchase
REF    | Refund
EXC    | Exchange Ticket
MSC    | Miscellaneous (non-Ticket Purchase- and non-Exchange Ticket-related transactions only)
        Enum: "TKT", "REF", "EXC", "MSC"
      - `transaction.airline.tickets` (array, required)
        Array of ticket number and passenger name. Note: At least one instance of ticket number and passenger name info should be provided.
      - `transaction.airline.tickets.passengerName` (string, required)
        Name of the passenger to whom the ticket was issued.  This field contains the Passenger Name in format:

SURNAME FIRSTNAME MIDDLEINITIAL TITLE

Example: "Doe Jane M Mrs"
      - `transaction.airline.tickets.ticketNumber` (string, required)
        The ticket number provided by the Carrier for the passenger.
      - `transaction.airline.tickets.ticketFare` (number, required)
        Ticket fare is the total amount for each ticket, including service fee or any other fee for each ticket.
      - `transaction.airline.flightLegs` (array, required)
        Array of flight trip leg info. Maximun 4 legs to a trip allowed. Note: At least one instance of flight trip leg info should be provided.
      - `transaction.airline.flightLegs.carrierCode` (string, required)
        Code indicating name of carrier (United Airlines, Jet Blue, etc.) for the leg.
      - `transaction.airline.flightLegs.destAirportCode` (string, required)
        Indicates destination city's airport code for the leg.
      - `transaction.airline.flightLegs.fare` (number, required)
        This field contains the total Fare for this trip segment. This is not the total amount billed to the customer.
      - `transaction.airline.flightLegs.fareBasis` (string, required)
        This field contains primary and secondary discount codes that indicate the class of service and fare level associated with the ticket for the leg. Truncate at 24 bytes, if necessary.
      - `transaction.airline.flightLegs.flightNumber` (string, required)
        Number of the airline flight to be taken on Leg of the trip.
      - `transaction.airline.flightLegs.legArrivalDateTime` (string, required)
        The date and time the flight is scheduled to arrive for the leg. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.flightLegs.legDepartureDateTime` (string, required)
        The date and time the flight is scheduled to depart for the leg. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.flightLegs.originAirportCode` (string, required)
        Indicates origination city's airport code for the leg.
      - `transaction.airline.flightLegs.serviceClass` (string, required)
        Indicates service class for leg.

Value  | Description 
-------|---------------
FC     | First Class
BC     | Business Class
EC     | Economy/Coach Class
      - `transaction.airline.flightLegs.stopOverCode` (string, required)
        Indicates whether a stopover is allowed on this ticket for leg. The entry must be a D, O, or X.

Value  | Description 
-------|---------------
O      | Stopover allowed
X      | Stopover not allowed
D      | Destination point
      - `transaction.airline.flightLegs.tripLegInfo` (string, required)
        Description of leg or stage of trip.
      - `transaction.airline.flightLegs.couponNumber` (number)
        Number of coupons in the ticket for the leg.
      - `transaction.airline.typeIndicator` (string, required)
        Indicates if this ticket is a round trip, multi-city, or one-way ticket. 

Value  | Description 
-------|---------------
R      | Round-Trip
O      | One Way
M      | Multi-City
        Enum: "R", "O", "M"
      - `transaction.airline.ancillaryServices` (array)
        Array of ancillary service code and fees.

Conditional: Send if any ancillary services were charged.
      - `transaction.airline.ancillaryServices.serviceCode` (string, required)
        This field describes the type of service that has been provided.

Value | Description 
------|---------------
BF    | Bundled Service
BG    | Baggage Fee
CF    | Change Fee
CG    | Cargo
CO    | Carbon Offset
FF    | Frequent Flyer
GF    | Gift Card
GT    | Ground Transport
IE    | In-Flight Entertainment
LG    | Lounge
MD    | Medical
ML    | Meal/Beverage
OT    | Other
PA    | Passenger Assist Fee
PT    | Pets
SA    | Seat Fees
SB    | Standby
SF    | Service Fee
ST    | Store
TS    | Travel Service
UN    | Unaccompanied Travel
UP    | Upgrades
WI    | Wi-Fi
        Enum: "BF", "BG", "CF", "CG", "CO", "FF", "GF", "GT", "IE", "LG", "MD", "ML", "OT", "PA", "PT", "SA", "SB", "SF", "ST", "TS", "UN", "UP", "WI"
      - `transaction.airline.ancillaryServices.serviceFee` (number, required)
        This field contains the amount associated with the value provided in ancillary Service Code.
      - `transaction.airline.travelAgencyCode` (string)
        Code identifying travel agency if the ticket was issued by a travel agency.

Conditional: Send if a travel agency service was used.
      - `transaction.airline.travelAgencyName` (string)
        Name of travel agency if the ticket was issued by a travel agency.

Conditional: Send if a travel agency service was used.
      - `transaction.airline.exchangeTicketNumber` (string)
        The original ticket number that was replaced by a new ticket number.
      - `transaction.cardOnFile` (object)
        Conditional: Send this object only if the capture amount exceeds the authorized amount.

See the [Card On File Transactions](/guides/advanced-concepts/card-on-file-transactions) section for more information.
      - `transaction.cardOnFile.type` (string)
        This field specifies the type of the card-on-file transaction.

| Value  | Initiator  | Recurring | 3D Secure | Description                                                                                                                                                                                                                                                                                                                                                     |
|--------|------------|-----------|-----------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| U08    | Merchant   | No        | No        | Identifies a transaction as an Incremental COF transaction. For example, a hotel which authorized a customer’s card for one night at check-in might increase the authorization amount to cover two nights when the customer decides to extend their stay. Shift4 automatically detects this scenario and sends the appropriate value to the processor. |

See the [Card On File Transactions](/guides/advanced-concepts/card-on-file-transactions) section for additional details.
        Enum: "U08"
      - `transaction.cardOnFile.transactionId` (string)
        This field is returned in the initial COF response, and ties subsequent COF transactions to the original authorization.

For example, if a merchant runs a Sale on a card for the first time, they will receive a transactionId back in the response.  A month later, when the merchant wants to perform an additional Sale with the card on file, they would send a Sale request including the transactionId they received from the first sale.

Conditional: Must be sent in subsequent COF requests if you are not processing with a Global Token Vault token. If using Global Token Vault tokens then this field is not required
      - `transaction.hotel` (object)
        Conditional: Utilize this object for Hotel transactions
        Example: {"additionalCharges":{"giftShop":"Y","laundry":"N","miniBar":"Y","other":"Y","restaurant":"Y","telephone":"N"},"arrivalDateTime":"2021-04-12T15:39:01.594-07:00","departureDateTime":"2021-04-15T09:18:23.283-07:00","primaryChargeType":1,"roomRates":[{"nights":2,"rate":159.95},{"nights":3,"rate":125.38}],"specialCode":1}
      - `transaction.hotel.arrivalDateTime` (string)
        Arrival date and time of a guest’s hotel stay ISO8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm). For hotel transactions that are a straight sale (such as advanced deposit, no-show charge, and late charges), the arrival date needs to be one day before the sale date.
        Example: "2021-04-12T15:39:01.594-07:00"
      - `transaction.hotel.departureDateTime` (string)
        Departure date and time of a guest’s hotel stay ISO8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm). For hotel transactions that are a straight sale (such as advanced deposit, no-show charge, and late charges), the departure date needs to be the day of the sale.
        Example: "2021-04-15T09:18:23.283-07:00"
      - `transaction.hotel.primaryChargeType` (integer)
        Guest’s transaction type at a hotel.

Value|Description
-----|-----------
1    | Lodging
2    | Restaurant
3    | Gift Shop
        Enum: 1, 2, 3
      - `transaction.hotel.specialCode` (integer)
        This field is used to provide additional detail for lodging transactions. If a lodging charge does not match one of the listed descriptions, the default value of ‘1’ should be sent in the request. When a value of ‘4’ is sent, the additionalCharges field needs to be sent as well.

Value|Description
-----|-----------
1    | No Special Code
2    | Assured Reservation/No Show
3    | Advance Deposit
4    | Delayed Charge
5    | Express Check-Out Service
6    | Assured Reservation/Normal
        Enum: 1, 2, 3, 4, 5, 6
      - `transaction.hotel.additionalCharges` (object)
        Reason codes for additional charges in a lodging sale request at the time a consumer checks out.
        Example: {"giftShop":"Y","laundry":"N","miniBar":"Y","other":"Y","restaurant":"Y","telephone":"N"}
      - `transaction.hotel.additionalCharges.giftShop` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.laundry` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.miniBar` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.other` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.restaurant` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.telephone` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.roomRates` (array)
        Room rates broken down by rate and number of nights.
        Example: [{"nights":2,"rate":159.95},{"nights":3,"rate":125.38}]
      - `transaction.hotel.roomRates.nights` (integer)
        The number of nights being charged at this rate.
      - `transaction.hotel.roomRates.rate` (number)
        The per night room rate.
      - `transaction.vendorReference` (string)
        Optional field for information that can be searched in the merchant portal.
      - `transaction.source` (string)
        Conditional: Must be sent when processing transactions on an unattended device.

Transaction source type. 

Value  | Description       
-------|-----------------------------
6      | Unattended Cardholder Activated Terminal (UCAT)
        Enum: "6"
      - `transaction.originalDate` (string)
        The date and time of the original transaction request in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be an exact match for the value sent in the original transaction request.
      - `apiOptions` (array)
        API Options modify the request being made. See the [API Options](/guides/appendices/api-options.md) section for more information.
        Example: ["ALLOWPARTIALAUTH"]
      - `currencyCode` (string)
        Transaction currency code. See the [Currency Codes](/guides/appendices/currency-codes) section for details.

Note: This is currently supported when processing for a merchant outside of the US and Canada. If processing for a US or Canadian merchant then this field will be ignored and the transaction will process in the merchant's configured currency.
      - `receiptColumns` (integer)
        Send this field if you want Shift4 to format the receipt text instead of returning individual fields. The value sent will correlate to the column width of the formatted receipt that we return. (This also allows the receipt text to wrap to fit the paper size of the printed receipt.) See the [Printing Receipts](/guides/core-concepts/printing-receipts) section of this document for more information on formatted receipts.
      - `reportingData` (object)
        Used to send non-payment related data for reporting purposes.
        Example: {"customerInfo":[{"firstName":"Jane","lastName":"Smith","dateOfBirth":"12011983","gender":"female","baggage":"checked","seats":"1A","boardingPriority":"1"},{"firstName":"John","lastName":"Smith","dateOfBirth":"01281980","gender":"male","baggage":"carryon","seats":"1B","boardingPriority":"1"}]}
      - `reportingData.customerInfo` (array)
        Array of customer information objects. The maximum number of customer information objects that can be sent is 10.
        Example: [{"firstName":"Jane","lastName":"Smith","dateOfBirth":"12011983","gender":"female","baggage":"checked","seats":"1A","boardingPriority":"1"},{"firstName":"John","lastName":"Smith","dateOfBirth":"01281980","gender":"male","baggage":"carryon","seats":"1B","boardingPriority":"1"}]
      - `reportingData.customerInfo.firstName` (string)
        Customer's first name
      - `reportingData.customerInfo.lastName` (string)
        Customer's last name
      - `reportingData.customerInfo.dateOfBirth` (string)
        Customer's date of birth in MMDDYYYY format
      - `reportingData.customerInfo.gender` (string)
        Customer's gender
      - `reportingData.customerInfo.baggage` (string)
        Description for the customer's baggage
      - `reportingData.customerInfo.seats` (string)
        Customer's assigned seat
      - `reportingData.customerInfo.boardingPriority` (string)
        Customer's boarding priority
      - `reportingData.pspData` (object)
        Payment service provider (PSP) metadata for third-party processed transactions.
      - `reportingData.pspData.pspId` (string)
        PSP identifier / label
      - `reportingData.pspData.pspMid` (string)
        PSP merchant identifier (MID).
      - `reportingData.pspData.pspTid` (string)
        PSP terminal identifier (TID).
      - `reportingData.pspData.pspTxnTraceNo` (string)
        PSP transaction trace number.
      - `reportingData.pspData.pspTxnDate` (string)
        PSP transaction date (YYYYMMDD).
      - `reportingData.pspData.pspTxnTime` (string)
        PSP transaction time (hhmmss)
      - `reportingData.pspData.pspResponseCode` (string)
        PSP host response code.
      - `reportingData.pspData.pspResponseText` (string)
        PSP host response description/text.
      - `statementSuffix` (string)
        Custom description that will be appended to the merchant name on the customer's statement. For most card brands, the merchant DBA name can be a maximum of 25 characters. Sending this value will cause the merchant name to be truncated to 9 characters. Shift4 will add an asterisk between the merchant name and the statementSuffix value.

For example, for a merchant named Joe's Warehouse Emporium that processes a transaction with statementSuffix value of KDNYZUHQ1, the merchant statement will show as Joe's War*KDNYZUHQ1.

Note: The value that displays on customer statements from card issuers is beyond Shift4's control. We will submit the transaction data as described above, however issuers may modify or truncate that data as they see fit. To best accommodate different issuer limitations, we will truncate the merchant name to the minimum possible value (9 characters) in order to attempt to leave the most room for the statementSuffix to populate on issuer statements.
      - `dcc` (object)
        Object containing Dynamic Currency Conversion (DCC) information. Must contain all fields received in the [DCC Rate Lookup](/apis/payments-platform-rest/openapi/dcc/dccratelookup) response.

Conditional: must be included in the request if the cardholder was given the option to pay in their currency, even if they opted out.
      - `dcc.rateTimeStamp` (string)
        The date and time of the DDC rate lookup in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `dcc.currencyCode` (string)
        Cardholder's transaction currency code. See the [Currency Codes](/guides/appendices/currency-codes) section for details.
      - `dcc.foreignAmount` (number)
        Foreign Currency Amount
      - `dcc.conversionRate` (string)
        Foreign Currency Exchange Rate. The rate at which one currency can be exchanged for another currency.
      - `dcc.marginPercentage` (string)
        This value is the foreign exchange markup percentage including the decimal. For example 9.99% will be returned as 9.99
      - `dcc.currencyMinorUnits` (number)
        Foreign Currency Minor Unit. Indicates the number of digits after the decimal separator as specified by either MasterCard, VISA, or the ISO 4217 standard.
      - `dcc.transactionId` (string)
        A unique identifier returned in the ratelookup response to link with the initial authorization, Sale transaction types.
      - `dcc.conversionIndicator` (string)
        Specifies whether or not the cardholder opted into dynamic currency conversion.

Value | Description
------|--------------------------------------------------------------------------------------
0     | Convertible but declined by cardholder (cardholder chose to pay in merchant currency)
1     | Converted (cardholder opted to pay in their currency)
2     | Nonconvertible (DCC cannot be used)
        Enum: "0", "1", "2"
      - `dcc.diffOverEcb` (string)
        Difference of GB Reference Rate over ECB Reference Rate in percentage (%), if applicable including decimal. This field is applicable only for conversion between currencies of EU countries, e.g. EUR --> DKK or SEK --> CZK.

This field will not be returned if the transaction is not in Scope of EU Regulation 2019/518.
      - `dcc.marginOverEcb` (string)
        Markup of offered exchange rate over ECB Reference Rate in percentage (%), if applicable. This field is applicable only for conversion between currencies of EU countries, e.g. EUR --> DKK or SEK --> CZK.

This field will not be returned if the transaction is not in scope of EU Regulation 2019/518.
      - `dcc.displayUnit` (number)
        Display unit for currency. 

It is the exponent of the base currency in an exchange rate pair e.g. for a JPY merchant converting to EUR, where dcc.displayUnit = 2 will show JPY in 100 (10^2) units: JPY 100 = EUR 0.7961
      - `dcc.provider` (string)
        DCC Provider
        Enum: "WAY4", "GLOBAL_BLUE"
    - Legacy TrueToken:
      - `dateTime` (string, required)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
        Example: "2021-04-15T09:18:23.283-07:00"
      - `amount` (object, required)
        Object containing information regarding the amount being requested. The total field within the object is required and specifies the amount being requested. All other fields are for informational purposes and must also be included in the total field. For example, a purchase of $100 with a $20 tip and $8 tax would be 128.00 in the total field, 20.00 in the tip field and 8.00 in the tax field.
        Example: {"tip":20,"total":160}
      - `amount.total` (number, required)
        The amount being charged for a particular transaction. If other amount fields are sent, they must be included in the total amount. Amount cannot be zero.
        Example: 160
      - `amount.cashback` (number)
        Specifies the cashback amount in a transaction. When using a UTG-controlled PIN pad with the ALLOWCASHBACK API Option, this field will return the cashback amount requested by the consumer. The interface can also send the desired cashback amount in a request by adding it to the amount.total and including it in the amount.cashback field. This will bypass prompting the consumer for a cashback amount.
      - `amount.iiasAmounts` (array)
        Conditional: Send in the request if processing for a health care merchant.

For Vision related charges you must send only iiasAmounts.type = 4V and the corresponding iiasAmounts.amount value.

For all other charges, the first entry in the array should have an amount representing the total of all healthcare costs, and iiasAmounts.type = 4S.  Any subsequent entries should contain the subtotal for each of the other expense types involved in this transaction.
      - `amount.iiasAmounts.amount` (number)
        The subtotal for this type of healthcare expenses.
      - `amount.iiasAmounts.type` (string)
        This code classifies eligible healthcare expenses.

Value|Description
-----|-----------
4O   | Cash Disbursement (Discover Only) – Amount of Cash Back Being Requested
4S   | Healthcare (Visa/MC Only) – Qualified Medical Expenses or Over-the-Counter
4T   | Transit (Visa Only) – Transit Fare Media (e.g., Commuter and Parking Passes, Mass Transit Vouchers, and Tickets)
4U   | RX (Visa/MC Only)
4V   | Vision (Visa Only)
4W   | Clinical (Visa Only)
4X   | Dental (Visa Only)
        Enum: same as `amount.iiasAmounts.type` in "GTV Token" (7 values)
      - `amount.surcharge` (number)
        Conditional: Send in the request if a surcharge was applied to the transaction.

In a sale or authorization transaction, the surcharge field specifies a fee amount that a consumer is charged in addition to the transaction amount. The fee amount is also added into amount.total. For example, if the transaction request had amount.total = 100 and the surcharge.percentage was 1.5% the transaction would include amount.total = 101.50 and amount.surcharge = 1.50
      - `amount.tax` (number)
        The amount of sales tax charged for a transaction. The tax amount is used by businesses to track tax expenses for accounting purposes. Identifying the tax amount also helps consumers understand the total amount that they were billed.  This field is part of Level 2 card data.
      - `amount.taxIndicator` (string)
        Value|Description
-----|-----------
Y    | Tax is included
N    | Tax is not included
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `amount.tip` (number)
        Conditional: Send in the request if a tip is included.

The tip amount of the transaction.
        Example: 20
      - `amount.checkTotal` (number)
        Optional field specifying the total amount of the entire bill/invoice that this transaction is part of. It can be larger than amount.total in scenarios where the check is being split or if a portion of the check was already paid in cash or another form of payment.
      - `card` (object, required)
        Example: {"token":{"value":"11191pn83hbkkety","serialNumber":"123456"}}
      - `card.token` (object, required)
        Example: {"value":"11191pn83hbkkety","serialNumber":"123456"}
      - `card.token.value` (string, required)
        This field is used to specify a card token. Whenever CHD is sent in a request, a card token will be returned in this field. Your interface should be designed to store this card token for future use. The latest card token received should be used in any subsequent request that references the same card data.
        Example: "11191pn83hbkkety"
      - `card.token.serialNumber` (string)
        In requests that require the use of a shared card token that is held by another merchant account, such as in a TokenStore or TokenShare®, this field is used to specify the serial number for the account where the card token is stored.
        Example: "123456"
      - `clerk` (object, required)
        Example: {"numericId":1576}
      - `clerk.numericId` (integer, required)
        A number used to identify the point-of-sale (POS) or property management system (PMS) clerk or user. The value cannot be 0. An interface must be able to dynamically populate this field (not use a hardcoded value), unless the interface will be used exclusively for e-commerce.
        Example: 1576
      - `transaction` (object, required)
        Example: {"hotel":{"additionalCharges":{"giftShop":"Y","laundry":"N","miniBar":"Y","other":"Y","restaurant":"Y","telephone":"N"},"arrivalDateTime":"2021-04-12T15:39:01.594-07:00","departureDateTime":"2021-04-15T09:18:23.283-07:00","primaryChargeType":1,"roomRates":[{"nights":2,"rate":159.95},{"nights":3,"rate":125.38}],"specialCode":1},"invoice":"192029","notes":"Transaction notes are added here"}
      - `transaction.invoice` (string, required)
        10-digit invoice number assigned by the interface to identify a transaction. An invoice number serves as a unique key that identifies a transaction within a batch in Shift4's Gateway.

Note: For US and Canadian processing: Although the invoice number is sent as a JSON string it is a numeric value. No alpha characters are allowed.

For processing outside of the US and Canada alpha characters are allowed.
        Example: "192029"
      - `transaction.notes` (string)
        A free-form notes field that supports the use of HTML tags.  This can be used for reference in [Lighthouse Transaction Manager](https://ltm.shift4test.com/) and is not sent to the authorization host. Escaped quotation marks should not be sent in the Notes field.
        Example: "Transaction notes are added here"
      - `transaction.businessDate` (string)
        Desired business date of a transaction. Include when overriding the existing business date of a transaction. The overriding date may be earlier or later than the existing date. (yyyy-mm-dd)
      - `transaction.amex` (object)
      - `transaction.amex.propertyCode` (string)
        The code that contains a Merchant-assigned store or location number (or name) that uniquely identifies where the transaction took place.
      - `transaction.auto` (object)
        Conditional: Utilize this object for Auto Rental transactions
      - `transaction.auto.distanceDriven` (integer)
        The amount of distance the cardholder drove the vehicle.
      - `transaction.auto.distanceUnit` (string)
        The unit of measure that corresponds to the distanceDriven field.

Value|Description
-----|-----------
M    | Miles
K    | Kilometers
        Enum: same as `transaction.auto.distanceUnit` in "GTV Token" (2 values)
      - `transaction.auto.lateAdjustment` (number)
        A dollar amount for late adjustment fees for an auto rental, including refueling charges, a surcharge, or charges for damage incurred during use.
      - `transaction.auto.noShowIndicator` (string)
        Indicates whether or not the cardholder picked up a reserved rental car.

Value|Description
-----|-----------
Y    | customer did not pick up the rental car
N    | customer did pick up the rental car
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges` (object)
        The codes used to provide a reason for additional charges in an auto rental sale. Multiple codes can be specified for the same transaction.
      - `transaction.auto.additionalCharges.gasoline` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.lateReturn` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.mileage` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.oneWayServiceFee` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.additionalCharges.violationFee` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.auto.driver` (object)
      - `transaction.auto.driver.license` (string)
        The cardholder's driver's license number.
      - `transaction.auto.driver.name` (string)
        In a sale/authorization request for an auto rental, the customer’s name exactly as it appears on their driver’s license.
      - `transaction.auto.driver.taxNumber` (string)
        This field contains the driver’s Tax Identification Number.
      - `transaction.auto.rental` (object)
        Information relating to where the rental card was picked up.
      - `transaction.auto.rental.agreement` (string)
        Contract number for an auto rental agreement.
      - `transaction.auto.rental.city` (string)
        City where rental car was picked up.
      - `transaction.auto.rental.countryCode` (string)
        Country where rental card was picked up.
      - `transaction.auto.rental.dateTime` (string)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
      - `transaction.auto.rental.postalCode` (string)
        Postal Code where rental car was picked up in U.S. postal abbreviation format.
      - `transaction.auto.rental.region` (string)
        Region (State) where rental car was picked up in U.S. postal abbreviation format.
      - `transaction.auto.return` (object)
        Information relating to where the rental car was returned
      - `transaction.auto.return.city` (string)
        City where rental car was returned.
      - `transaction.auto.return.countryCode` (string)
        Country where rental card was returned.
      - `transaction.auto.return.dateTime` (string)
        The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00
      - `transaction.auto.return.postalCode` (string)
        Postal Code where rental car was returned in U.S. postal abbreviation format.
      - `transaction.auto.return.region` (string)
        Region (State) where rental car was returned in U.S. postal abbreviation format.
      - `transaction.airline` (object)
        Conditional: Utilize this object for Airline transactions in Authorization/Sale requests when possible. If unable to provide this data at Authorization, this object must be sent in subsequent Capture requests for the transaction.
      - `transaction.airline.carrierCode` (string, required)
        The code of the airline carrier issuing the ticket.
      - `transaction.airline.carrierName` (string, required)
        The name of the airline carrier issuing the ticket.
      - `transaction.airline.conjunctionTicketIndicator` (string, required)
        Indicates whether the itinerary contains more than four segments of travel.

Value  | Description       
-------|-------------------
Y      | Yes
N      | No
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.airline.documentType` (string, required)
        This field contains the airline Document Type code, which indicates the purpose of this transaction. This information may appear on the descriptive bill on the Cardmember's statement, or be used to resolve billing inquiries and disputes. The codes entered in the Transaction Type and Document Type fields are used together to describe the purpose of this transaction.

Value | Description 
------|---------------
01    | Passenger Ticket
02    | Additional Collection
03    | Excess Baggage
04    | Misc. Charge Order (MCO) / Prepaid Ticket Auth
05    | Special Service Ticket
06    | Supported Refund
07    | Unsupported Refund
08    | Lost Ticket Application
09    | Tour Order Voucher
10    | Ticket by Mail
11    | Undercharge Adjustment
12    | Group Ticket
13    | Exchange Adjustment
14    | SPD/Air Freight
15    | In-flight Adjustment
16    | Agency Passenger Ticket
17    | Agency Tour Order/Voucher
18    | Agency Misc. Charge Order (MCO)
19    | Agency Exchange Order
20    | Agency Group Ticket
21    | Debit Adjustment Duplicate Refund/Use
22    | In-flight Merchandise Ordered
23    | Catalogue Merchandise Ordered
24    | In-flight Phone Charges
25    | Frequent Flyer Fee/Purchase
26    | Kennel Charge
27    | Animal Transportation Charge
28    | Firearms Case
29    | Upgrade Charge
30    | Credit Unused Transportation
31    | Credit Class of Service Adjustment
32    | Credit Denied Boarding
33    | Credit Misc. Refund
34    | Credit Lost Ticket Refund
35    | Credit Exchange Refund
36    | Credit Overcharge Adjustment
37    | Credit Multiple Unused Tickets
38    | Exchange Order
39    | Self-Service Ticket(s)
41    | In-flight Duty Free Purchase
42    | Senior Citizen Discount Booklets
43    | Club Membership Fee
44    | Coupon Book
45    | In-flight Charges
46    | Tour Deposit
47    | Frequent Flyer Overnight Delivery Charge
48    | Frequent Flyer Fulfillment
49    | Small Package Delivery
50    | Vendor Sale
51    | Miscellaneous Tax(es) Fee(s)
52    | Travel Agency Fee
60    | Vendor Refund Credit
64    | Duty Free Sale
65    | Preferred Seat Upgrade
66    | Cabin Upgrade
67    | Lounge/Club Access or Day Pass
68    | Agent Assisted Reservation. Ticketing Fee
69    | Ticket Change or Cancel Fee
70    | Trip Insurance
71    | Unaccompanied Minor
72    | Standby Fee
73    | Curbside Baggage
74    | Inflight Medical Equipment
75    | Ticket or Pass Print Fee
76    | Checked Sporting/Special Equipment
77    | Dry Ice Fee
78    | Mail/Postage Fee
79    | Club Membership Fee - Temporary/Trial
80    | Frequent Flyer Activation/Reinstatement
81    | Gift Certificate
82    | Onboard/Inflight Prepaid Voucher
83    | Optional Services Fee
84    | Advanced Purchase - Excess Baggage
85    | Advanced Purchase - Preferred Seat Upgrade
86    | Advanced Purchase - Cabin Upgrade
87    | Advanced Purchase - Optional Services
88    | WiFi
89    | Packages
90    | Inflight Entertainment/Internet Access
91    | Overweight Bag Fee
92    | Sleep Sets
93    | Special Purchase Fee
        Enum: same as `transaction.airline.documentType` in "GTV Token" (82 values)
      - `transaction.airline.electronicTicketIndicator` (string, required)
        Indicates if an electronic ticket was issued.

Value  | Description       
-------|-------------------
Y      | Yes
N      | No
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.airline.internetIndicator` (string, required)
        Indicates if this is an internet transaction.

Value  | Description       
-------|-------------------
Y      | Yes
N      | No
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.airline.issueDate` (string, required)
        The date the ticket was issued to the customer. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.numberOfCities` (number, required)
        The number of airports or cities for each leg on the ticket (including origination and destination cities).
      - `transaction.airline.numberOfCarriers` (number, required)
        This field contains the number of airline carriers.
      - `transaction.airline.numberOfPassengers` (number, required)
        The number of passengers in the transaction.
      - `transaction.airline.passengerArrivalDate` (string, required)
        Date that the ticket holder is scheduled to arrive at their destination at the time of issuance of the original ticket. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.passengerDepartureDate` (string, required)
        Date that the ticket holder is scheduled to depart at the time of issuance of the original ticket. The date may be a future one.  The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.passengerNameRecord` (string, required)
        A passenger name record (PNR) is a record in the database of a computer reservation system (CRS) that contains the itinerary for a passenger or a group of passengers travelling together
      - `transaction.airline.restrictedTicketIndicator` (string, required)
        Indicates whether this ticket is non-refundable.

Value  | Description       
-------|-------------------
0      | No restriction
1      | Restricted (non-refundable) ticket
        Enum: same as `transaction.airline.restrictedTicketIndicator` in "GTV Token" (2 values)
      - `transaction.airline.ticketChangeIndicator` (string, required)
        Indicates why a ticket was changed.  This field should contain spaces or one of the below codes.

Value  | Description 
-------|---------------
C      | Change to existing ticket
N      | New ticket
        Enum: same as `transaction.airline.ticketChangeIndicator` in "GTV Token" (2 values)
      - `transaction.airline.ticketTranType` (string, required)
        This field contains the ticket transaction type code assigned to this transaction.

Value  | Description 
-------|---------------
TKT    | Ticket Purchase
REF    | Refund
EXC    | Exchange Ticket
MSC    | Miscellaneous (non-Ticket Purchase- and non-Exchange Ticket-related transactions only)
        Enum: same as `transaction.airline.ticketTranType` in "GTV Token" (4 values)
      - `transaction.airline.tickets` (array, required)
        Array of ticket number and passenger name. Note: At least one instance of ticket number and passenger name info should be provided.
      - `transaction.airline.tickets.passengerName` (string, required)
        Name of the passenger to whom the ticket was issued.  This field contains the Passenger Name in format:

SURNAME FIRSTNAME MIDDLEINITIAL TITLE

Example: "Doe Jane M Mrs"
      - `transaction.airline.tickets.ticketNumber` (string, required)
        The ticket number provided by the Carrier for the passenger.
      - `transaction.airline.tickets.ticketFare` (number, required)
        Ticket fare is the total amount for each ticket, including service fee or any other fee for each ticket.
      - `transaction.airline.flightLegs` (array, required)
        Array of flight trip leg info. Maximun 4 legs to a trip allowed. Note: At least one instance of flight trip leg info should be provided.
      - `transaction.airline.flightLegs.carrierCode` (string, required)
        Code indicating name of carrier (United Airlines, Jet Blue, etc.) for the leg.
      - `transaction.airline.flightLegs.destAirportCode` (string, required)
        Indicates destination city's airport code for the leg.
      - `transaction.airline.flightLegs.fare` (number, required)
        This field contains the total Fare for this trip segment. This is not the total amount billed to the customer.
      - `transaction.airline.flightLegs.fareBasis` (string, required)
        This field contains primary and secondary discount codes that indicate the class of service and fare level associated with the ticket for the leg. Truncate at 24 bytes, if necessary.
      - `transaction.airline.flightLegs.flightNumber` (string, required)
        Number of the airline flight to be taken on Leg of the trip.
      - `transaction.airline.flightLegs.legArrivalDateTime` (string, required)
        The date and time the flight is scheduled to arrive for the leg. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.flightLegs.legDepartureDateTime` (string, required)
        The date and time the flight is scheduled to depart for the leg. The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `transaction.airline.flightLegs.originAirportCode` (string, required)
        Indicates origination city's airport code for the leg.
      - `transaction.airline.flightLegs.serviceClass` (string, required)
        Indicates service class for leg.

Value  | Description 
-------|---------------
FC     | First Class
BC     | Business Class
EC     | Economy/Coach Class
      - `transaction.airline.flightLegs.stopOverCode` (string, required)
        Indicates whether a stopover is allowed on this ticket for leg. The entry must be a D, O, or X.

Value  | Description 
-------|---------------
O      | Stopover allowed
X      | Stopover not allowed
D      | Destination point
      - `transaction.airline.flightLegs.tripLegInfo` (string, required)
        Description of leg or stage of trip.
      - `transaction.airline.flightLegs.couponNumber` (number)
        Number of coupons in the ticket for the leg.
      - `transaction.airline.typeIndicator` (string, required)
        Indicates if this ticket is a round trip, multi-city, or one-way ticket. 

Value  | Description 
-------|---------------
R      | Round-Trip
O      | One Way
M      | Multi-City
        Enum: same as `transaction.airline.typeIndicator` in "GTV Token" (3 values)
      - `transaction.airline.ancillaryServices` (array)
        Array of ancillary service code and fees.

Conditional: Send if any ancillary services were charged.
      - `transaction.airline.ancillaryServices.serviceCode` (string, required)
        This field describes the type of service that has been provided.

Value | Description 
------|---------------
BF    | Bundled Service
BG    | Baggage Fee
CF    | Change Fee
CG    | Cargo
CO    | Carbon Offset
FF    | Frequent Flyer
GF    | Gift Card
GT    | Ground Transport
IE    | In-Flight Entertainment
LG    | Lounge
MD    | Medical
ML    | Meal/Beverage
OT    | Other
PA    | Passenger Assist Fee
PT    | Pets
SA    | Seat Fees
SB    | Standby
SF    | Service Fee
ST    | Store
TS    | Travel Service
UN    | Unaccompanied Travel
UP    | Upgrades
WI    | Wi-Fi
        Enum: same as `transaction.airline.ancillaryServices.serviceCode` in "GTV Token" (23 values)
      - `transaction.airline.ancillaryServices.serviceFee` (number, required)
        This field contains the amount associated with the value provided in ancillary Service Code.
      - `transaction.airline.travelAgencyCode` (string)
        Code identifying travel agency if the ticket was issued by a travel agency.

Conditional: Send if a travel agency service was used.
      - `transaction.airline.travelAgencyName` (string)
        Name of travel agency if the ticket was issued by a travel agency.

Conditional: Send if a travel agency service was used.
      - `transaction.airline.exchangeTicketNumber` (string)
        The original ticket number that was replaced by a new ticket number.
      - `transaction.cardOnFile` (object)
        Conditional: Send this object only if the capture amount exceeds the authorized amount.

See the [Card On File Transactions](/guides/advanced-concepts/card-on-file-transactions) section for more information.
      - `transaction.cardOnFile.type` (string)
        This field specifies the type of the card-on-file transaction.

| Value  | Initiator  | Recurring | 3D Secure | Description                                                                                                                                                                                                                                                                                                                                                     |
|--------|------------|-----------|-----------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| U08    | Merchant   | No        | No        | Identifies a transaction as an Incremental COF transaction. For example, a hotel which authorized a customer’s card for one night at check-in might increase the authorization amount to cover two nights when the customer decides to extend their stay. Shift4 automatically detects this scenario and sends the appropriate value to the processor. |

See the [Card On File Transactions](/guides/advanced-concepts/card-on-file-transactions) section for additional details.
        Enum: same as `transaction.cardOnFile.type` in "GTV Token" (1 values)
      - `transaction.cardOnFile.transactionId` (string)
        This field is returned in the initial COF response, and ties subsequent COF transactions to the original authorization.

For example, if a merchant runs a Sale on a card for the first time, they will receive a transactionId back in the response.  A month later, when the merchant wants to perform an additional Sale with the card on file, they would send a Sale request including the transactionId they received from the first sale.

Conditional: Must be sent in subsequent COF requests if you are not processing with a Global Token Vault token. If using Global Token Vault tokens then this field is not required
      - `transaction.hotel` (object)
        Conditional: Utilize this object for Hotel transactions
        Example: {"additionalCharges":{"giftShop":"Y","laundry":"N","miniBar":"Y","other":"Y","restaurant":"Y","telephone":"N"},"arrivalDateTime":"2021-04-12T15:39:01.594-07:00","departureDateTime":"2021-04-15T09:18:23.283-07:00","primaryChargeType":1,"roomRates":[{"nights":2,"rate":159.95},{"nights":3,"rate":125.38}],"specialCode":1}
      - `transaction.hotel.arrivalDateTime` (string)
        Arrival date and time of a guest’s hotel stay ISO8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm). For hotel transactions that are a straight sale (such as advanced deposit, no-show charge, and late charges), the arrival date needs to be one day before the sale date.
        Example: "2021-04-12T15:39:01.594-07:00"
      - `transaction.hotel.departureDateTime` (string)
        Departure date and time of a guest’s hotel stay ISO8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm). For hotel transactions that are a straight sale (such as advanced deposit, no-show charge, and late charges), the departure date needs to be the day of the sale.
        Example: "2021-04-15T09:18:23.283-07:00"
      - `transaction.hotel.primaryChargeType` (integer)
        Guest’s transaction type at a hotel.

Value|Description
-----|-----------
1    | Lodging
2    | Restaurant
3    | Gift Shop
        Enum: same as `transaction.hotel.primaryChargeType` in "GTV Token" (3 values)
      - `transaction.hotel.specialCode` (integer)
        This field is used to provide additional detail for lodging transactions. If a lodging charge does not match one of the listed descriptions, the default value of ‘1’ should be sent in the request. When a value of ‘4’ is sent, the additionalCharges field needs to be sent as well.

Value|Description
-----|-----------
1    | No Special Code
2    | Assured Reservation/No Show
3    | Advance Deposit
4    | Delayed Charge
5    | Express Check-Out Service
6    | Assured Reservation/Normal
        Enum: same as `transaction.hotel.specialCode` in "GTV Token" (6 values)
      - `transaction.hotel.additionalCharges` (object)
        Reason codes for additional charges in a lodging sale request at the time a consumer checks out.
        Example: {"giftShop":"Y","laundry":"N","miniBar":"Y","other":"Y","restaurant":"Y","telephone":"N"}
      - `transaction.hotel.additionalCharges.giftShop` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.laundry` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.miniBar` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.other` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.restaurant` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.additionalCharges.telephone` (string)
        Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)
      - `transaction.hotel.roomRates` (array)
        Room rates broken down by rate and number of nights.
        Example: [{"nights":2,"rate":159.95},{"nights":3,"rate":125.38}]
      - `transaction.hotel.roomRates.nights` (integer)
        The number of nights being charged at this rate.
      - `transaction.hotel.roomRates.rate` (number)
        The per night room rate.
      - `transaction.vendorReference` (string)
        Optional field for information that can be searched in the merchant portal.
      - `transaction.source` (string)
        Conditional: Must be sent when processing transactions on an unattended device.

Transaction source type. 

Value  | Description       
-------|-----------------------------
6      | Unattended Cardholder Activated Terminal (UCAT)
        Enum: same as `transaction.source` in "GTV Token" (1 values)
      - `transaction.originalDate` (string)
        The date and time of the original transaction request in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be an exact match for the value sent in the original transaction request.
      - `apiOptions` (array)
        API Options modify the request being made. See the [API Options](/guides/appendices/api-options.md) section for more information.
        Example: ["ALLOWPARTIALAUTH"]
      - `currencyCode` (string)
        Transaction currency code. See the [Currency Codes](/guides/appendices/currency-codes) section for details.

Note: This is currently supported when processing for a merchant outside of the US and Canada. If processing for a US or Canadian merchant then this field will be ignored and the transaction will process in the merchant's configured currency.
      - `receiptColumns` (integer)
        Send this field if you want Shift4 to format the receipt text instead of returning individual fields. The value sent will correlate to the column width of the formatted receipt that we return. (This also allows the receipt text to wrap to fit the paper size of the printed receipt.) See the [Printing Receipts](/guides/core-concepts/printing-receipts) section of this document for more information on formatted receipts.
      - `reportingData` (object)
        Used to send non-payment related data for reporting purposes.
        Example: {"customerInfo":[{"firstName":"Jane","lastName":"Smith","dateOfBirth":"12011983","gender":"female","baggage":"checked","seats":"1A","boardingPriority":"1"},{"firstName":"John","lastName":"Smith","dateOfBirth":"01281980","gender":"male","baggage":"carryon","seats":"1B","boardingPriority":"1"}]}
      - `reportingData.customerInfo` (array)
        Array of customer information objects. The maximum number of customer information objects that can be sent is 10.
        Example: [{"firstName":"Jane","lastName":"Smith","dateOfBirth":"12011983","gender":"female","baggage":"checked","seats":"1A","boardingPriority":"1"},{"firstName":"John","lastName":"Smith","dateOfBirth":"01281980","gender":"male","baggage":"carryon","seats":"1B","boardingPriority":"1"}]
      - `reportingData.customerInfo.firstName` (string)
        Customer's first name
      - `reportingData.customerInfo.lastName` (string)
        Customer's last name
      - `reportingData.customerInfo.dateOfBirth` (string)
        Customer's date of birth in MMDDYYYY format
      - `reportingData.customerInfo.gender` (string)
        Customer's gender
      - `reportingData.customerInfo.baggage` (string)
        Description for the customer's baggage
      - `reportingData.customerInfo.seats` (string)
        Customer's assigned seat
      - `reportingData.customerInfo.boardingPriority` (string)
        Customer's boarding priority
      - `reportingData.pspData` (object)
        Payment service provider (PSP) metadata for third-party processed transactions.
      - `reportingData.pspData.pspId` (string)
        PSP identifier / label
      - `reportingData.pspData.pspMid` (string)
        PSP merchant identifier (MID).
      - `reportingData.pspData.pspTid` (string)
        PSP terminal identifier (TID).
      - `reportingData.pspData.pspTxnTraceNo` (string)
        PSP transaction trace number.
      - `reportingData.pspData.pspTxnDate` (string)
        PSP transaction date (YYYYMMDD).
      - `reportingData.pspData.pspTxnTime` (string)
        PSP transaction time (hhmmss)
      - `reportingData.pspData.pspResponseCode` (string)
        PSP host response code.
      - `reportingData.pspData.pspResponseText` (string)
        PSP host response description/text.
      - `statementSuffix` (string)
        Custom description that will be appended to the merchant name on the customer's statement. For most card brands, the merchant DBA name can be a maximum of 25 characters. Sending this value will cause the merchant name to be truncated to 9 characters. Shift4 will add an asterisk between the merchant name and the statementSuffix value.

For example, for a merchant named Joe's Warehouse Emporium that processes a transaction with statementSuffix value of KDNYZUHQ1, the merchant statement will show as Joe's War*KDNYZUHQ1.

Note: The value that displays on customer statements from card issuers is beyond Shift4's control. We will submit the transaction data as described above, however issuers may modify or truncate that data as they see fit. To best accommodate different issuer limitations, we will truncate the merchant name to the minimum possible value (9 characters) in order to attempt to leave the most room for the statementSuffix to populate on issuer statements.
      - `dcc` (object)
        Object containing Dynamic Currency Conversion (DCC) information. Must contain all fields received in the [DCC Rate Lookup](/apis/payments-platform-rest/openapi/dcc/dccratelookup) response.

Conditional: must be included in the request if the cardholder was given the option to pay in their currency, even if they opted out.
      - `dcc.rateTimeStamp` (string)
        The date and time of the DDC rate lookup in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).
      - `dcc.currencyCode` (string)
        Cardholder's transaction currency code. See the [Currency Codes](/guides/appendices/currency-codes) section for details.
      - `dcc.foreignAmount` (number)
        Foreign Currency Amount
      - `dcc.conversionRate` (string)
        Foreign Currency Exchange Rate. The rate at which one currency can be exchanged for another currency.
      - `dcc.marginPercentage` (string)
        This value is the foreign exchange markup percentage including the decimal. For example 9.99% will be returned as 9.99
      - `dcc.currencyMinorUnits` (number)
        Foreign Currency Minor Unit. Indicates the number of digits after the decimal separator as specified by either MasterCard, VISA, or the ISO 4217 standard.
      - `dcc.transactionId` (string)
        A unique identifier returned in the ratelookup response to link with the initial authorization, Sale transaction types.
      - `dcc.conversionIndicator` (string)
        Specifies whether or not the cardholder opted into dynamic currency conversion.

Value | Description
------|--------------------------------------------------------------------------------------
0     | Convertible but declined by cardholder (cardholder chose to pay in merchant currency)
1     | Converted (cardholder opted to pay in their currency)
2     | Nonconvertible (DCC cannot be used)
        Enum: same as `dcc.conversionIndicator` in "GTV Token" (3 values)
      - `dcc.diffOverEcb` (string)
        Difference of GB Reference Rate over ECB Reference Rate in percentage (%), if applicable including decimal. This field is applicable only for conversion between currencies of EU countries, e.g. EUR --> DKK or SEK --> CZK.

This field will not be returned if the transaction is not in Scope of EU Regulation 2019/518.
      - `dcc.marginOverEcb` (string)
        Markup of offered exchange rate over ECB Reference Rate in percentage (%), if applicable. This field is applicable only for conversion between currencies of EU countries, e.g. EUR --> DKK or SEK --> CZK.

This field will not be returned if the transaction is not in scope of EU Regulation 2019/518.
      - `dcc.displayUnit` (number)
        Display unit for currency. 

It is the exponent of the base currency in an exchange rate pair e.g. for a JPY merchant converting to EUR, where dcc.displayUnit = 2 will show JPY in 100 (10^2) units: JPY 100 = EUR 0.7961
      - `dcc.provider` (string)
        DCC Provider
        Enum: same as `dcc.provider` in "GTV Token" (2 values)

## Response 200 fields (application/json):

  - `result` (array)

  - `result.dateTime` (string)
    The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00

  - `result.amount` (object)
    Object containing information regarding the amount being requested. The total field within the object is required and specifies the amount being requested. All other fields are for informational purposes and must also be included in the total field. For example, a purchase of $100 with a $20 tip and $8 tax would be 128.00 in the total field, 20.00 in the tip field and 8.00 in the tax field.

Note: For merchants that are configured to allow multiple currencies, the amount  fields can specify up to three decimal places. However, the number of decimal  places can not exceed the number allowed for the specified currency. See the [Currency Codes](/guides/appendices/currency-codes) section for details.

  - `result.amount.total` (number, required)
    The amount being charged for a particular transaction. If other amount fields are sent, they must be included in the total amount. Amount cannot be zero.

  - `result.amount.tax` (number, required)
    The amount of sales tax charged for a transaction. The tax amount is used by businesses to track tax expenses for accounting purposes. Identifying the tax amount also helps consumers understand the total amount that they were billed.  This field is part of Level 2 card data.

  - `result.amount.taxIndicator` (string)
    Value|Description
-----|-----------
Y    | Tax is included
N    | Tax is not included
    Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)

  - `result.amount.cashback` (number)
    Specifies the cashback amount in a transaction. When using a UTG-controlled PIN pad with the ALLOWCASHBACK API Option, this field will return the cashback amount requested by the consumer. The interface can also send the desired cashback amount in a request by adding it to the amount.total and including it in the amount.cashback field. This will bypass prompting the consumer for a cashback amount.

  - `result.amount.surcharge` (number)
    Conditional: Send in the request if a surcharge was applied to the transaction.

In a sale or authorization transaction, the surcharge field specifies a fee amount that a consumer is charged in addition to the transaction amount. The fee amount is also added into amount.total. For example, if the transaction request had amount.total = 100 and the surcharge.percentage was 1.5% the transaction would include amount.total = 101.50 and amount.surcharge = 1.50

  - `result.amount.tip` (number)
    Conditional: Send in the request if a tip is included.

The tip amount of the transaction.

  - `result.card` (object)

  - `result.card.entryMode` (string)
    Conditional: The Card Entry Mode should be sent in an initial request; in subsequent requests, it should be left blank or not sent. When using a Universal Transaction Gateway® (UTG®)-controlled PIN pad, this field should be left blank or not sent in a request; the UTG will capture the card entry mode and return it in the response. When P2PE data is being sent from a non-UTG controlled device, this field is not needed

The method used to capture a payment card in an authorization/sale request. 

Value|Description
-----|-----------
1    | Track 1 Only or Dual Track (Track 1 & 2)
2    | Track 2 Only
C    | EMV Contactless via card or mobile wallet
E    | EMV Chip
M    | Manual Entry
Q    | QR Code
R    | Contactless MSD
    Enum: "1", "2", "C", "E", "M", "Q", "R"

  - `result.card.expirationDate` (integer)
    Conditional: Requires API Option "RETURNEXPDATE".

Card expiration date in MMYY format. This value will only be populated if "RETURNEXPDATE" is included in the apiOptions array.

  - `result.card.levelResult` (string)
    Classifies the type of card used in an authorization/sale request. This field is returned in a response if the data is provided by the processor. See [Card Level Results]/guides/appendices/card-level-results) for a complete list of values.

  - `result.card.number` (string)
    The card number field will always be masked when returned in a response.

  - `result.card.present` (string)
    Conditional: Send in the initial authorization/sale request

Indicates whether a card was present (‘Y’) or not (‘N’) at the time a transaction took place. This should be set appropriately in the initial authorization/sale request.  In subsequent requests, this field should be left blank or should not be sent.

Note: Subsequent request here does not apply to the secondary request for card on file type transactions or reuse of the same card. An example of a subsequent request would be a capture after an authorization. You would not include card.present in the capture, which is the subsequent request. Another example is when performing an incremental authorization where you perform an authorization, followed by an incremental authorization then a capture. The second authorization (incremental) and the capture are the subsequent requests where you would not include card.present.
    Enum: same as `amount.taxIndicator` in "GTV Token" (2 values)

  - `result.card.type` (string)
    An abbreviation used to specify the type of card that was used when processing a transaction.

Value| Description
-----|------------
AX   | American Express
AP   | Alipay
BC   | Backed Card       
CI   | Citgo        
DB   | Debit card
GC   | Gift Card
JC   | JCB
MC   | Mastercard
NS   | Discover/JCB/Novus
PL   | Private Label
SC   | Sears Canada
VS   | Visa
WP   | WeChat Pay
YC   | IT’S YOUR CARD
    Enum: "AX", "AP", "BC", "CI", "DB", "GC", "JC", "MC", "NS", "PL", "SC", "VS", "WP", "YC"

  - `result.card.balance` (object)

  - `result.card.balance.amount` (number)
    The balance remaining on the card.  Depending on which processor is being used, the balance may be returned for a gift card, debit card, EBT card, or other stored value card.

  - `result.card.token` (object)
    Conditional: Send this object when using a card on file.

  - `result.card.token.value` (string)
    This field is used to specify a card token. Whenever CHD is sent in a request, a card token will be returned in this field. Your interface should be designed to store this card token for future use. The latest card token received should be used in any subsequent request that references the same card data.

  - `result.customer` (object)

  - `result.customer.firstName` (string)
    Specifies a consumer’s first name. This field is returned whenever the customer name is supplied in the request or if the track/EMV data contains the cardholder name.

  - `result.customer.lastName` (string)
    Specifies a consumer’s last name. This field is returned whenever the customer name is supplied in the request or if the track/EMV data contains the cardholder name.

  - `result.clerk` (object)

  - `result.clerk.numericId` (integer)
    A number used to identify the point-of-sale (POS) or property management system (PMS) clerk or user. The value cannot be 0. An interface must be able to dynamically populate this field (not use a hardcoded value), unless the interface will be used exclusively for e-commerce.

  - `result.dcc` (object)
    Object containing Dynamic Currency Conversion (DCC) information.

Conditional: Returned in the response if DCC was offered during the payment flow of a UTG/Commerce Engine controlled device or if the dcc object was included in the request.

  - `result.dcc.rateTimeStamp` (string, required)
    The date and time of the DDC rate lookup in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

  - `result.dcc.currencyCode` (string, required)
    Cardholder's transaction currency code. See the [Currency Codes](/guides/appendices/currency-codes) section for details.

  - `result.dcc.foreignAmount` (number, required)
    Foreign Currency Amount

  - `result.dcc.conversionRate` (string, required)
    Foreign Currency Exchange Rate. The rate at which one currency can be exchanged for another currency.

  - `result.dcc.marginPercentage` (string, required)
    This value is the foreign exchange markup percentage including the decimal. For example 9.99% will be returned as 9.99

  - `result.dcc.currencyMinorUnits` (number, required)
    Foreign Currency Minor Unit. Indicates the number of digits after the decimal separator as specified by either MasterCard, VISA, or the ISO 4217 standard.

  - `result.dcc.transactionId` (string, required)
    A unique identifier returned in the ratelookup response to link with the initial authorization, Sale transaction types.

  - `result.dcc.conversionIndicator` (string, required)
    Specifies whether or not the cardholder opted into dynamic currency conversion.

Value | Description
------|--------------------------------------------------------------------------------------
0     | Convertible but declined by cardholder (cardholder chose to pay in merchant currency)
1     | Converted (cardholder opted to pay in their currency)
2     | Nonconvertible (DCC cannot be used)
    Enum: same as `dcc.conversionIndicator` in "GTV Token" (3 values)

  - `result.dcc.diffOverEcb` (string)
    Difference of GB Reference Rate over ECB Reference Rate in percentage (%), if applicable including decimal. This field is applicable only for conversion between currencies of EU countries, e.g. EUR --> DKK or SEK --> CZK.

This field will not be returned if the transaction is not in Scope of EU Regulation 2019/518.

  - `result.dcc.marginOverEcb` (string)
    Markup of offered exchange rate over ECB Reference Rate in percentage (%), if applicable. This field is applicable only for conversion between currencies of EU countries, e.g. EUR --> DKK or SEK --> CZK.

This field will not be returned if the transaction is not in scope of EU Regulation 2019/518.

  - `result.dcc.displayUnit` (number)
    Display unit for currency. 

It is the exponent of the base currency in an exchange rate pair e.g. for a JPY merchant converting to EUR, where dcc.displayUnit = 2 will show JPY in 100 (10^2) units: JPY 100 = EUR 0.7961

  - `result.dcc.provider` (string)
    DCC Provider
    Enum: same as `dcc.provider` in "GTV Token" (2 values)

  - `result.merchant` (object)

  - `result.merchant.mid` (number)
    The merchant ID associated with the merchant account.

  - `result.merchant.name` (string)
    The merchant’s business name as configured with Shift4.

  - `result.receipt` (array)
    Array of receipt key/value pairs that should be printed on the receipt.

  - `result.receipt.key` (string)
    The identifier the interface vendor can use to programmatically determine where to print a specific value.
    Example: "ApplicationIdentifier"

  - `result.receipt.printName` (string)
    The label that relates to the printValue field. When present in the response, this must be printed to the left of the printValue.
    Example: "AID"

  - `result.receipt.printValue` (string)
    The value that relates to the printName field. This must be printed to the right of the printName.
    Example: "AID"

  - `result.server` (object)

  - `result.server.name` (string)
    The name of the server that processed the request.

  - `result.signature` (object)

  - `result.signature.data` (string)
    The base64-encoded data sent when a signature is captured as a Portable Network Graphics (PNG) file.

  - `result.signature.format` (string)
    The data format the signature data will be in. "P" for PNG format.
    Enum: "P"

  - `result.transaction` (object)

  - `result.transaction.authorizationCode` (string)
    The authorization code provided by the consumer’s issuing bank. It is provided in a response if an online authorization or sale request is approved. Following a referral response, it is also specified in [Manual Sale](/apis/payments-platform-rest/openapi/transactions/manualsale) requests.

  - `result.transaction.authSource` (string)
    In a response, a code returned by the processor to indicate which host issued the response.

Value  | Description       
-------|----------------------------
E      | Engine (Online)
O      | Offline
A      | APM (Online)
F      | Payment Platform (Online)
    Enum: "E", "O", "A", "F"

  - `result.transaction.hostResponse` (object)
    Returns the response code detailing why the transaction was declined. 

Notes:
  - For Visa, the response codes are categorized, detailing how declined transactions may be re-attempted for approval. To avoid fees, merchants are responsible for preventing additional attempts based on  the information returned.
  - Support for this field is dependent on the processor. Our demo environment does not return this field in the response.

  - `result.transaction.hostResponse.reasonCode` (string)
    Returns a response code from the host.

Value |Category|Description
------|--------|-----------
04    |      1 | Pick Up Card
07    |      1 | Pick Up Card, Special Condition
12    |      1 | Invalid Transaction
15    |      1 | No Such Issuer
41    |      1 | Lost Card
43    |      1 | Stolen Card
46    |      1 | Closed Account        
57    |      1 | Trans. not Permitted to Cardholder
R0    |      1 | Stop Payment Order
R1    |      1 | Revocation of Auth Order
R3    |      1 | Revocation of all Authorization 
03    |      2 | Invalid Merchant
19    |      2 | Re-enter Transaction
51    |      2 | Not sufficient funds
59    |      2 | Suspected Fraud
61    |      2 | Exceeds approval amount limit
62    |      2 | Restricted Card (card invalid in region or country)
65    |      2 | Exceeds withdrawal frequency limit
75    |      2 | Allowable number of PIN-entry tried exceeded
78    |      2 | Blocked, first used
86    |      2 | Cannot Verify PIN
91    |      2 | Issuer or switch inoperative
93    |      2 | Transaction cannot be completed - violation of law 
96    |      2 | System malfunction
N3    |      2 | Cash service not available
N4    |      2 | Cash request exceeds issuer of approved limit
14    |      3 | Invalid Account
54    |      3 | Expired card or expiration date missing
55    |      3 | PIN incorrect or missing
70    |      3 | PIN data required
82    |      3 | Negative Online CAM, dCVV, iCVV, or CVV results
1A    |      3 | Additional customer authentication required
N7    |      3 | Decline for CVV2 Failure
05    |      4 | Do not honor
06    |      4 | General error 
08    |      4 | Honor MasterCard with ID
13    |      4 | Invalid amount 
21    |      4 | Invalid amount
30    |      4 | Format error
39    |      4 | No credit account
52    |      4 | No checking account
53    |      4 | No savings account
58    |      4 | Transaction not permitted-Terminal
63    |      4 | Security violation 
66    |      4 | Card Acceptor call Acquirer’s security dept
67    |      4 | Hard capture (requires ATM pick-up)
68    |      4 | Response received too late
71    |      4 | PIN Not Changed
76    |      4 | Unsolicited reversal
77    |      4 | Invalid Data including AVS failures.
79    |      4 | Already reversed at switch
80    |      4 | No Financial impact
81    |      4 | Cryptographic error 
92    |      4 | Unable to route transaction
94    |      4 | Duplicate Transaction
B1    |      4 | Surcharge amount not permitted on debit cards or EBTfoodstamps
B2    |      4 | Surcharge amount not supported by debit network issuer 
CV    |      4 | Card Type VerificationError
EA    |      4 | Acct Length Err
EB    |      4 | Check Digit Err
EC    |      4 | CID Format Error
HV    |      4 | Hierarchy Verification Error
N0    |      4 | Force STIP
P5    |      4 | PIN Change/Unblock failed
P6    |      4 | New PIN not accepted
Z3    |      4 | Unable to go online; offline-declined
\-38  |      4 | The transaction has been denied by the Gateway because 3D secure Authentication failed. Reason: {}Note: The “Reason” part is optional and may appear according to detected reason. |
D2    |      4 | Decline Retry Later

All other, generic declines may be classified as a Category 4 response code.

  - `result.transaction.hostResponse.reasonDescription` (string)
    Returns a description from the host.

  - `result.transaction.hostResponse.reattemptPermission` (string)
    Returns one of the following values:

Value                                   |Description
----------------------------------------|-----------
Reattempt not permitted                 | Returned when the reasonCode returned is classified as a Category 1 response code.
Reattempt permitted 15 times in 30 days | Returned when the reasonCode returned is classified as a Category 2 or Category 3 response code.
Reattempts permitted                    | Returned when the reasonCode returned is classified as a Category 4 response code.

  - `result.transaction.invoice` (string)
    10-digit invoice number assigned by the interface to identify a transaction. An invoice number serves as a unique key that identifies a transaction within a batch in Shift4's Gateway.

Note: For US and Canadian processing: Although the invoice number is sent as a JSON string it is a numeric value. No alpha characters are allowed.

For processing outside of the US and Canada alpha characters are allowed.

  - `result.transaction.responseCode` (string)
    Code indicating the Shift4 host response.        

Value  | Description                                                                           | Details
-------|---------------------------------------------------------------------------------------|--------
A      | Approved                                                                              | The transaction is approved.
C      | Approved                                                                              | The transaction is approved without requiring additional authorization because it is less than or equal to a ceiling amount. (The ceiling amount is the original authorization amount multiplied by the tolerance per the merchant’s settings with Shift4.)
D      | Declined                                                                              | The transaction is declined. Note: Shift4 automatically declines AVS/CSC failures if the [POSHANDLEAVSFAIL Api Option](/guides/appendices/api-options#poshandleavsfail) was not sent in the request.
e      | [Error](/guides/appendices/error-codes)                                               | There is an error condition.
f      | [AVS or CSC failure](/guides/response-handling/understanding-avs-and-csc-verification)| An AVS or CSC failure has occurred (credit card only). Note: This value will only be returned if the [POSHANDLEAVSFAIL Api Option](/guides/appendices/api-options#poshandleavsfail) was sent in the request.
P      | [Partial approval](/guides/advanced-concepts/partial-approval)                        | A partial approval has occurred.  Check amount.total for the approved amount.
R      | Voice referral                                                                        | The transaction requires a voice referral.
[blank]| Status is unknown                                                                     | The approval status is unknown.
X      | Expired card                                                                          | There is an error condition due to the card being expired.
S      | SCA Online PIN required                                                               | The contactless EMV transaction requires strong customer authentication to continue. The terminal must gather the online PIN if supported by the device form factor and CVM list then resubmit the transaction request.
I      | SCA Interface switch required                                                         | The contactless EMV transaction requires strong customer authentication to continue. The terminal must look at the form factor indicator to determine if the transaction should be declined, switched to EMV contact or tapped again using CDCVM.
J      | Soft decline after exemption request                                                  | Transaction was soft declined. Returned when requesting an exemption by sending transaction.exemptionAction = 02 and the card issuer rejects the exemption.
    Enum: "A", "C", "D", "e", "f", "P", "R", "X", "S", "I"

  - `result.transaction.retrievalReference` (string)
    Reference retrieval number assigned by the authorizing agency. This value is printed on some receipts.

  - `result.transaction.saleFlag` (string)
    Specifies a transaction is a sale (‘S’) or credit (‘C’).  In an [Invoice Information](/apis/payments-platform-rest/openapi/transactions/getinvoice) request, an 'A' may be returned to differentiate an authorization from a sale.
    Enum: "A", "C", "S"

  - `result.transaction.amex` (object)

[...]
